package com.rjconsultores.ventaboletos.rest;

import java.util.List;

import javax.annotation.security.RolesAllowed;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import com.rjconsultores.ventaboletos.rest.bean.ParamsDadosOperador;
import com.rjconsultores.ventaboletos.rest.service.SincronizarOperadoresService;
import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Path("/sincronizarOperadores")
public class SincronizarOperadores {
	
	@POST
	@Consumes({ MediaType.APPLICATION_JSON })
	@RolesAllowed("EMBARCADA")
	@Produces({ MediaType.APPLICATION_JSON })
	public List<UsuarioEmbarcadaVO> buscarDadosOperador(ParamsDadosOperador params) {
		SincronizarOperadoresService service = (SincronizarOperadoresService) AppContext.getApplicationContext().getBean("sincronizarOperadoresService");
		return service.buscarDadosOperador(params);
	}

}
